@font-face {
    font-family: "Niveau Grotesk";
    src: url("/assets/NiveauGroteskRegular.otf");
}

@font-face {
    font-family: "Niveau Grotesk";
    src: url("/assets/NiveauGroteskMedium.otf");
    font-weight: 600;
}

body {
    background: var(--main-bg-color);
    position: relative;
    min-height: 100vh;
    font-family: "Niveau Grotesk", sans-serif;
    color: white;
    padding: 0;
    margin: 0;
    font-size: 20px;
}

p {
    margin: 0;
}

a {
    color: white;
    text-decoration: none;
}

button {
    background-color: white;
    color: black;
    border: none;
    font-family: "Niveau Grotesk", sans-serif;
}

dialog {
    background-color: white;
    border-color: white;
    border-radius: 4px;
    max-width: 450px;
}

dialog::backdrop {
    background-color: #000000bb;
}

.close-btn {
    background-color: var(--main-bg-color);
    color: white;
    font-size: 18px;
    margin-top: 16px;
    padding: 8px 16px;
    border-radius: 4px;
    cursor: pointer;
    display: inline-block;
}

.text-center {
    text-align: center;
}

.home-body {
    overflow: hidden;
}

.logo-home {
    position: absolute;
    left: -230px;
    top: -240px;
    width: 800px;
    height: 800px;
}

.logotype-home {
    position: absolute;
    bottom: -140px;
    right: -10px;
    font-size: 150px;
    font-weight: 600;
}

.info-home {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    font-size: 32px;
    text-align: right;
}

.info-home p {
    margin-bottom: 12px;
}

.info-home a {
    display: inline-block;
    background: linear-gradient(white, white) bottom left / var(--underline-width, 0%) 0.1em no-repeat;
    transition: background-size 0.5s;
}

.info-home a:hover {
    --underline-width: 100%;
}

.solid-bg {
    background-color: #000;
}

/*Other Pages*/
nav {
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.branding {
    display: flex;
    align-items: center;
}

.logo-nav {
    width: 75px;
    margin-right: 12px;
}

.brand-heading {
    font-size: 28px;
}

.container {
    margin-left: auto;
    margin-right: auto;
    max-width: 1100px;
    padding: 20px;
}

.main-grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 40px 24px;
    margin-bottom: 32px;
}

.nav-link {
    margin-left: 24px;
    opacity: 0.5;
}

.nav-link:hover {
    opacity: 0.8;
}

.nav-link.active {
    opacity: 1;
    border-bottom: 2px solid white;
}

.project {
    grid-column: span 4;
}

.year {
    grid-column: span 12;
    border-bottom: 2px solid white;
    padding-bottom: 12px;
}

.year h2 {
    font-size: 64px;
    margin: 24px 0 0 0;
}

.year h2:first-of-type {
    margin: 0;
}

.project p {
    margin-top: 6px;
}

.project-img-container {
    position: relative;
}

.project-img {
    display: block;
    width: 100%;
    aspect-ratio: 16 / 9;
    opacity: 0.75;
    filter: grayscale(100%);
    transition: opacity .25s;

}

.project:hover .project-img {
    opacity: 1;
    filter: grayscale(0%);
}

.service {
    grid-column: span 6;
    display: flex;
    align-items: center;
    transition: all .1s ease;
    padding: 12px;
    border: transparent 3px solid;
    border-radius: 12px;
    cursor: pointer;
}

.service:hover {
    border: 3px solid #ffffff88;
}

.service.active {
    border: 3px solid white;
}

.service-text {
    margin-left: 8px;
    pointer-events: none;
}

.service img {
    pointer-events: none;
}

.service h2 {
    font-size: 20px;
    margin-bottom: 4px;
    margin-top: 0;
    font-weight: bold;
}

.service p {
    font-size: 16px;
    opacity: 0.9;
}

.section-title-wrapper {
    margin-bottom: 24px;
    grid-column: span 12;

}

.section-title, .dialog-title {
    margin-bottom: 0;
    margin-top: 0;
}

.section-subtitle, .dialog-subtitle {
    margin-bottom: 0;
    margin-top: 0;
    font-size: 16px;
    opacity: .8;
}

.dialog-subtitle {
    margin-top: 8px;
}

.work-grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 16px 24px;
    margin-bottom: 32px;
}

.btn {
    padding: 8px 16px;
    font-size: 20px;
    border-radius: 8px;
    color: var(--main-bg-color);
    cursor: pointer
}

.btn-continue {
    cursor: pointer;
}

.form-control {
    margin-bottom: 12px;
}

.form-span {
    grid-column: span 7;
}

.form-control label {
    font-size: 16px;
    margin-bottom: 6px;
    display: inline-block;
}

.form-control input, .form-control textarea {
    width: 100%;
    font-size: 20px;
    border-radius: 3px;
    padding: 8px 12px;
    border: 3px solid white;
    background: transparent;
    color: white;
    font-family: "Niveau Grotesk", sans-serif;
}

.hidden {
    display: none
}

#form-error, #service-error {
    margin-bottom: 12px;
}

@media (max-width: 940px) {
    .home-body {
        display: flex;
        flex-direction: column;
        justify-content: center;
        transform: translateY(-5%);
        overflow-y: scroll;
    }

    .logotype-home {
        position: static;
        font-size: 20vw;
        text-align: center;
        margin-top: -5%;
        margin-bottom: 12%;

    }

    .info-home {
        position: static;
        text-align: center;
        font-size: 5vw;
    }

    .logo-home {
        position: static;
        width: 60%;
        margin-left: auto;
        margin-right: auto;
        height: auto;
    }
}


@media (max-width: 786px) {
    .project {
        grid-column: span 6;
    }

    .year h2 {
        font-size: 48px;
    }

    .nav-link {
        font-size: 16px;
    }

    .service {
        grid-column: span 12;
    }

    .form-span {
        grid-column: span 11;
    }
}

@media (max-width: 486px) {
    .project {
        grid-column: span 12;
    }

    nav {
        flex-direction: column;
    }
}